Generation Framework

## org.eclipse.gmf.gmfgraph
Enum SVGPropertyType

    java.lang.Object
      java.lang.Enum<SVGPropertyType>
          org.eclipse.gmf.gmfgraph.SVGPropertyType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SVGPropertyType>, org.eclipse.emf.common.util.Enumerator

    public enum SVGPropertyType

extends java.lang.Enum<SVGPropertyType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'SVG Property Type', and utility methods for working with them.

See Also:
  `GMFGraphPackage.getSVGPropertyType()`
** Generated **
Model:

Enum Constant Summary
`COLOR` The 'COLOR' literal object
`FLOAT` The 'FLOAT' literal object
`STRING` The 'STRING' literal object

Field Summary
`static int` `COLOR_VALUE` The 'COLOR' literal value
`static int` `FLOAT_VALUE` The 'FLOAT' literal value
`static int` `STRING_VALUE` The 'STRING' literal value
`static java.util.List<SVGPropertyType>` `VALUES` A public read-only list of all the 'SVG Property Type' enumerators

Method Summary
`static SVGPropertyType` `get(int value)` Returns the 'SVG Property Type' literal with the specified integer value
`static SVGPropertyType` `get(java.lang.String literal)` Returns the 'SVG Property Type' literal with the specified literal value
`static SVGPropertyType` `getByName(java.lang.String name)` Returns the 'SVG Property Type' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static SVGPropertyType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SVGPropertyType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final SVGPropertyType STRING

  The 'STRING' literal object.

  See Also:
    `STRING_VALUE`
  ** Generated **
  Ordered:

### COLOR

    public static final SVGPropertyType COLOR

  The 'COLOR' literal object.

  See Also:
    `COLOR_VALUE`
  ** Generated **
  Ordered:

### FLOAT

    public static final SVGPropertyType FLOAT

  The 'FLOAT' literal object.

  See Also:
    `FLOAT_VALUE`
  ** Generated **
  Ordered:

Field Detail

### STRING_VALUE

    public static final int STRING_VALUE

  The 'STRING' literal value.

  If the meaning of 'STRING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STRING`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### COLOR_VALUE

    public static final int COLOR_VALUE

  The 'COLOR' literal value.

  If the meaning of 'COLOR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COLOR`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### FLOAT_VALUE

    public static final int FLOAT_VALUE

  The 'FLOAT' literal value.

  If the meaning of 'FLOAT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FLOAT`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<SVGPropertyType> VALUES

  A public read-only list of all the 'SVG Property Type' enumerators.

  ** Generated **

Method Detail

### values

    public static final SVGPropertyType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SVGPropertyType c : SVGPropertyType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SVGPropertyType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static SVGPropertyType get(java.lang.String literal)

  Returns the 'SVG Property Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static SVGPropertyType getByName(java.lang.String name)

  Returns the 'SVG Property Type' literal with the specified name.

  ** Generated **

### get

    public static SVGPropertyType get(int value)

  Returns the 'SVG Property Type' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SVGPropertyType>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.